LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
XOLESimpleStorage Interface Referencepublished

This interface allows to access and change contents of OLE storages. More...

`import"XOLESimpleStorage.idl";`

Inheritance diagram for XOLESimpleStorage:

## Exported Interfaces
interface | ::com::sun::star::container::XNameContainer
| interface XNameContainer is the generic interface for supporting the insertion and removal of named elements. More...
interface | ::com::sun::star::lang::XComponent
| interface XComponent allows to explicitly free resources and break cyclic references. More...
interface | XTransactedObject
| interface XTransactedObject allows transacted access to an object. More...
interface | XClassifiedObject
| interface XClassifiedObject represents common functionality for embedded objects More...

## Additional Inherited Members
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XTransactedObject
void | commit () raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| commits the changes made for object. More...
void | revert () raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| removes all the changes made for the object after last commit or loading. More...
Public Member Functions inherited from XClassifiedObject
sequence< byte > | getClassID ()
| retrieves class ID of the object. More...
string | getClassName ()
| retrieves symbolic name for the object type to be used in UI. More...
void | setClassInfo ([in] sequence< byte > aClassID, [in] string sClassName) raises ( ::com::sun::star::lang::NoSupportException )
| sets the class ID and symbolic name to an object. More...

## Detailed Description

This interface allows to access and change contents of OLE storages.

This is a simple container allowing the access to OLE storages. The subcomponents are either OLE storages themselves or streams.

## Exported Interfaces

## ◆ ::com::sun::star::container::XNameContainer

interface ::com::sun::star::container::XNameContainer

interface XNameContainer is the generic interface for supporting the insertion and removal of named elements.

The access to the elements is provided though XNameContainer methods.

## ◆ ::com::sun::star::lang::XComponent

interface ::com::sun::star::lang::XComponent

interface XComponent allows to explicitly free resources and break cyclic references.

## ◆ XClassifiedObject

interface XClassifiedObject

interface XClassifiedObject represents common functionality for embedded objects

the XClassifiedObject interface allows to set/get the ClassID of the storage.

## ◆ XTransactedObject

interface XTransactedObject

interface XTransactedObject allows transacted access to an object.

The storages are always opened in transacted mode, the XTransactedObject interface allows to commit the storage.

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XOLESimpleStorage.idl